import { Graph } from './Graph';
import { Mat } from './Mat';
import { PreviousOutput } from './utils/PreviousOutput';
export declare abstract class NNModel {
    readonly model: any;
    protected readonly graph: Graph;
    constructor(needsBackProp?: boolean);
    abstract forward(observations: Mat, previousOutput: PreviousOutput, graph: Graph): PreviousOutput;
}
