import { Mat } from './Mat';
import { Graph } from './Graph';
export declare class Net {
    readonly W1: Mat | null;
    readonly b1: Mat | null;
    readonly W2: Mat | null;
    readonly b2: Mat | null;
    constructor();
    constructor(opt: any);
    update(alpha: number): void;
    static toJSON(net: Net): {};
    forward(observations: Mat, graph: Graph): Mat;
    static fromJSON(json: {
        W1;
        b1;
        W2;
        b2;
    }): Net;
    private static has(obj, keys);
}
