import { Mat } from './Mat';
import { Graph } from './Graph';
import { NNModel } from './NNModel';
import { PreviousOutput } from './utils/PreviousOutput';
export declare class LSTM extends NNModel {
    inputSize: number;
    hiddenSizes: Array<number>;
    outputSize: number;
    constructor(inputSize: number, hiddenSizes: Array<number>, outputSize: number, needsBackProp?: boolean);
    forward(observations: Mat, previousOutput: PreviousOutput, graph?: Graph): PreviousOutput;
}
